From d0e61be244c417bdbd89a8c71d80c9194e14ed73 Mon Sep 17 00:00:00 2001
From: Francis Rowe
Date: Sun, 28 Jun 2015 19:34:25 +0100
Subject: build/roms/withgrub: Put ROM images in bin/grub/, not bin/
---
docs/git/index.html | 4 +-
resources/scripts/helpers/build/roms/helper | 135 --------------------
resources/scripts/helpers/build/roms/withgrub | 2 +-
.../scripts/helpers/build/roms/withgrub_helper | 136 +++++++++++++++++++++
4 files changed, 140 insertions(+), 137 deletions(-)
delete mode 100755 resources/scripts/helpers/build/roms/helper
create mode 100755 resources/scripts/helpers/build/roms/withgrub_helper
diff --git a/docs/git/index.html b/docs/git/index.html
index 620af0c9..447a364a 100644
--- a/docs/git/index.html
+++ b/docs/git/index.html
@@ -818,7 +818,9 @@
- The ROM images will be stored under bin/.
+ The ROM images will be stored under bin/payload/,
+ where payload could be grub, seabios, or
+ whatever other payload those images were built for.
diff --git a/resources/scripts/helpers/build/roms/helper b/resources/scripts/helpers/build/roms/helper
deleted file mode 100755
index 236b8da3..00000000
--- a/resources/scripts/helpers/build/roms/helper
+++ /dev/null
@@ -1,135 +0,0 @@
-#!/bin/bash
-
-# helper script: create ROM images for a given system, with GRUB
-#
-# Copyright (C) 2014, 2015 Francis Rowe
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see .
-#
-
-# This script assumes that the working directory is the root
-# of libreboot_src or git
-
-[ "x${DEBUG+set}" = 'xset' ] && set -v
-set -u -e
-
-if (( $# != 1 )); then
- printf "Usage: ./buildrom-withgrub boardname\n"
- printf "Example: ./buildrom-withgrub x60\n"
- printf "You need to specify exactly 1 argument\n"
- exit 1
-fi
-
-printf "Helper script: build ROM images for '%s'\n" "${1}"
-
-cd "coreboot/"
-
-if [ -f "../version" ]; then
- # _src release archive is being used
- version="$(cat ../version)"
-else
- # git repo is being used
- version="$(git describe --tags HEAD)"
-fi
-printf '%s\n' "${version}" >"lbversion"
-
-# Build ROM images with text-mode and corebootfb modes.
-# ---------------------------------------------------------------------------------------------------------------
-
-if [ "${1}" = "qemu_i440fx_piix4" ] || [ "${1}" = "qemu_q35_ich9" ]
-then
- # assume that the default config enable framebuffer mode, duplicate and patch for text-mode
- # necessary, otherwise it will ask you to enter the Y/X resolution of the framebuffer at build time
- cp "../resources/libreboot/config/grub/${1}/config" "config_vesafb"
- sed 's/CONFIG_FRAMEBUFFER_KEEP_VESA_MODE=y/# CONFIG_FRAMEBUFFER_KEEP_VESA_MODE is not set/' < "config_vesafb" > "config_txtmode"
-else
- # assume that the default config enables text-mode, duplicate and patch for framebuffer mode
- cp "../resources/libreboot/config/grub/${1}/config" "config_txtmode"
- sed 's/# CONFIG_FRAMEBUFFER_KEEP_VESA_MODE is not set/CONFIG_FRAMEBUFFER_KEEP_VESA_MODE=y/' < "config_txtmode" > "config_vesafb"
-fi
-
-for romtype in txtmode vesafb
-do
- if [ "${1}" = "x200_8mb" ] || [ "${1}" = "x200_4mb" ] || [ "${1}" = "r400_8mb" ] || [ "${1}" = "r400_4mb" ] || [ "${1}" = "t400_8mb" ] || [ "${1}" = "t400_4mb" ] || [ "${1}" = "t500_8mb" ] || [ "${1}" = "t500_4mb" ]
- then
- if [ "${romtype}" = "txtmode" ]
- then
- printf "Text mode graphics is currently broken on X200, R400, T400 and T500. Only framebuffer mode works.\n"
- printf "TODO: offending coreboot commit found (see docs/release.html). Fix text-mode graphics initialization.\n"
- continue
- fi
- fi
-
- # Build coreboot ROM image
- make clean
- mv "config_${romtype}" ".config"
- mv "grub_${romtype}.elf" "grub.elf"
- make
- mv "grub.elf" "grub_${romtype}.elf"
- mv "build/coreboot.rom" "${1}_${romtype}.rom"
- # .config no longer needed
- rm -f ".config"
-
- # Add version information to this image
- ./util/cbfstool/cbfstool ${1}_${romtype}.rom add -f lbversion -n lbversion -t raw
-
- # Add the background image
- if [ "$romtype" = "vesafb" ]
- then
- if [ "$1" = "macbook21" ] || [ "$1" = "x200_4mb" ] || [ "$1" = "x200_8mb" ] || [ "$1" = "r400_4mb" ] || [ "$1" = "r400_8mb" ] || [ "$1" = "t400_4mb" ] || [ "$1" = "t400_8mb" ] || [ "$1" = "t500_4mb" ] || [ "$1" = "t500_8mb" ]
- then
- ./util/cbfstool/cbfstool ${1}_${romtype}.rom add -f ../resources/grub/background/background1280x800.png -n background.png -t raw
- else
- ./util/cbfstool/cbfstool ${1}_${romtype}.rom add -f ../resources/grub/background/background1024x768.png -n background.png -t raw
- fi
- fi
-
- # Add the correct GRUB configuration file for this image.
- for keymap in $(ls ../resources/utilities/grub-assemble/keymap/original)
- do
- # copy the images based on the keymap
- cp "${1}_${romtype}.rom" "${1}_${keymap}_${romtype}.rom"
-
- # Insert grub config into the image
- ./util/cbfstool/cbfstool ${1}_${keymap}_${romtype}.rom add -f grub_${keymap}_${romtype}.cfg -n grub.cfg -t raw
- # Insert grub test config into the image (for the user to test modifications to before modifying the main one)
- ./util/cbfstool/cbfstool ${1}_${keymap}_${romtype}.rom add -f grub_${keymap}_${romtype}_test.cfg -n grubtest.cfg -t raw
- done
-
- # This config-less ROM is no longer needed
- rm -f "${1}_${romtype}.rom"
-done
-
-# Now we clean up and prepare the bin directory containing all the images
-# ----------------------------------------------------------------------------------------------------------------------------
-
-# prepare directory for new ROM images
-rm -Rf "${1}/"
-mkdir "${1}/"
-# move the ROM's into the newly created directory
-mv "${1}"*.rom "${1}/"
-
-# delete the old ROM's from ../bin
-rm -Rf "../bin/${1}/"
-# now put the new ROM's in ./bin
-mv "${1}/" "../bin"
-
-# libreboot version file no longer needed
-rm -f "lbversion"
-
-# go back to main source directory
-cd "../"
-
-printf "\n\n"
-
diff --git a/resources/scripts/helpers/build/roms/withgrub b/resources/scripts/helpers/build/roms/withgrub
index dbd89e1e..cb205d28 100755
--- a/resources/scripts/helpers/build/roms/withgrub
+++ b/resources/scripts/helpers/build/roms/withgrub
@@ -71,7 +71,7 @@ cd ../
for board in ${boards}
do
if [ -f "resources/libreboot/config/grub/${board}/config" ]; then
- ./build roms helper ${board}
+ ./build roms withgrub_helper ${board}
fi
done
diff --git a/resources/scripts/helpers/build/roms/withgrub_helper b/resources/scripts/helpers/build/roms/withgrub_helper
new file mode 100755
index 00000000..72ea451a
--- /dev/null
+++ b/resources/scripts/helpers/build/roms/withgrub_helper
@@ -0,0 +1,136 @@
+#!/bin/bash
+
+# helper script: create ROM images for a given system, with GRUB
+#
+# Copyright (C) 2014, 2015 Francis Rowe
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+#
+
+# This script assumes that the working directory is the root
+# of libreboot_src or git
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+if (( $# != 1 )); then
+ printf "Usage: ./buildrom-withgrub boardname\n"
+ printf "Example: ./buildrom-withgrub x60\n"
+ printf "You need to specify exactly 1 argument\n"
+ exit 1
+fi
+
+printf "GRUB Helper script: build ROM images for '%s'\n" "${1}"
+
+cd "coreboot/"
+
+if [ -f "../version" ]; then
+ # _src release archive is being used
+ version="$(cat ../version)"
+else
+ # git repo is being used
+ version="$(git describe --tags HEAD)"
+fi
+printf '%s\n' "${version}" >"lbversion"
+
+# Build ROM images with text-mode and corebootfb modes.
+# ---------------------------------------------------------------------------------------------------------------
+
+if [ "${1}" = "qemu_i440fx_piix4" ] || [ "${1}" = "qemu_q35_ich9" ]
+then
+ # assume that the default config enable framebuffer mode, duplicate and patch for text-mode
+ # necessary, otherwise it will ask you to enter the Y/X resolution of the framebuffer at build time
+ cp "../resources/libreboot/config/grub/${1}/config" "config_vesafb"
+ sed 's/CONFIG_FRAMEBUFFER_KEEP_VESA_MODE=y/# CONFIG_FRAMEBUFFER_KEEP_VESA_MODE is not set/' < "config_vesafb" > "config_txtmode"
+else
+ # assume that the default config enables text-mode, duplicate and patch for framebuffer mode
+ cp "../resources/libreboot/config/grub/${1}/config" "config_txtmode"
+ sed 's/# CONFIG_FRAMEBUFFER_KEEP_VESA_MODE is not set/CONFIG_FRAMEBUFFER_KEEP_VESA_MODE=y/' < "config_txtmode" > "config_vesafb"
+fi
+
+for romtype in txtmode vesafb
+do
+ if [ "${1}" = "x200_8mb" ] || [ "${1}" = "x200_4mb" ] || [ "${1}" = "r400_8mb" ] || [ "${1}" = "r400_4mb" ] || [ "${1}" = "t400_8mb" ] || [ "${1}" = "t400_4mb" ] || [ "${1}" = "t500_8mb" ] || [ "${1}" = "t500_4mb" ]
+ then
+ if [ "${romtype}" = "txtmode" ]
+ then
+ printf "Text mode graphics is currently broken on X200, R400, T400 and T500. Only framebuffer mode works.\n"
+ printf "TODO: offending coreboot commit found (see docs/release.html). Fix text-mode graphics initialization.\n"
+ continue
+ fi
+ fi
+
+ # Build coreboot ROM image
+ make clean
+ mv "config_${romtype}" ".config"
+ mv "grub_${romtype}.elf" "grub.elf"
+ make
+ mv "grub.elf" "grub_${romtype}.elf"
+ mv "build/coreboot.rom" "${1}_${romtype}.rom"
+ # .config no longer needed
+ rm -f ".config"
+
+ # Add version information to this image
+ ./util/cbfstool/cbfstool ${1}_${romtype}.rom add -f lbversion -n lbversion -t raw
+
+ # Add the background image
+ if [ "$romtype" = "vesafb" ]
+ then
+ if [ "$1" = "macbook21" ] || [ "$1" = "x200_4mb" ] || [ "$1" = "x200_8mb" ] || [ "$1" = "r400_4mb" ] || [ "$1" = "r400_8mb" ] || [ "$1" = "t400_4mb" ] || [ "$1" = "t400_8mb" ] || [ "$1" = "t500_4mb" ] || [ "$1" = "t500_8mb" ]
+ then
+ ./util/cbfstool/cbfstool ${1}_${romtype}.rom add -f ../resources/grub/background/background1280x800.png -n background.png -t raw
+ else
+ ./util/cbfstool/cbfstool ${1}_${romtype}.rom add -f ../resources/grub/background/background1024x768.png -n background.png -t raw
+ fi
+ fi
+
+ # Add the correct GRUB configuration file for this image.
+ for keymap in $(ls ../resources/utilities/grub-assemble/keymap/original)
+ do
+ # copy the images based on the keymap
+ cp "${1}_${romtype}.rom" "${1}_${keymap}_${romtype}.rom"
+
+ # Insert grub config into the image
+ ./util/cbfstool/cbfstool ${1}_${keymap}_${romtype}.rom add -f grub_${keymap}_${romtype}.cfg -n grub.cfg -t raw
+ # Insert grub test config into the image (for the user to test modifications to before modifying the main one)
+ ./util/cbfstool/cbfstool ${1}_${keymap}_${romtype}.rom add -f grub_${keymap}_${romtype}_test.cfg -n grubtest.cfg -t raw
+ done
+
+ # This config-less ROM is no longer needed
+ rm -f "${1}_${romtype}.rom"
+done
+
+# Now we clean up and prepare the bin directory containing all the images
+# ----------------------------------------------------------------------------------------------------------------------------
+
+# prepare directory for new ROM images
+rm -Rf "${1}/"
+mkdir "${1}/"
+# move the ROM's into the newly created directory
+mv "${1}"*.rom "${1}/"
+
+# delete the old ROM's from ../bin
+rm -Rf "../bin/${1}/"
+# now put the new ROM's in ./bin/grub/
+[ ! -d "../bin/grub/" ] && mkdir -p "../bin/grub/"
+mv "${1}/" "../bin/grub/"
+
+# libreboot version file no longer needed
+rm -f "lbversion"
+
+# go back to main source directory
+cd "../"
+
+printf "\n\n"
+
--
cgit v1.2.3-70-g09d2